WLD(1)

NAME
wld - transform executables into shared libraries

SYNOPSIS
wld -libify [-noinit] file

DESCRIPTION
The Witchcraft Linker is part of the Witchcraft Compiler Collection.

Options:

-libify
    Libifies input ELF executable into a shared library.

-noinit
    Ignore constructors and desctructors in output library.

EXAMPLES

cp /bin/cat /tmp && wld -libify /tmp/cat
    Copy the executable /bin/cat to /tmp and transform it into a shared library.

NOTES
wld alters the file passed as argument.
The Witcraft Compiler Collection is a set of reverse engineering tools.

AUTHOR
Written by endrazine (Jonathan Brossard)

REPORTING BUGS
Witchcraft Compiler Collection online bug tracker: <https://github.com/endrazine/wcc/issues>

COPYRIGHT
Copyright Jonathan Brossard
License: MIT and BSD Licenses. See <https://github.com/endrazine/wcc/blob/master/LICENSE>.

SEE ALSO
wsh(1), wcc(1), wldd(1), wcch(1)

The full documentation of the Witchcraft Compiler Collection is available online at https://github.com/endrazine/wcc/wiki